查询视频生成任务状态
curl --request GET \
--url https://api.maxapi.ai/hailuo/v1/query/video_generation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maxapi.ai/hailuo/v1/query/video_generation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maxapi.ai/hailuo/v1/query/video_generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/hailuo/v1/query/video_generation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/hailuo/v1/query/video_generation")
.header("Authorization", "Bearer <token>")
.asString();{
"task_id": "task_1234567890abcdef",
"status": "Processing",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}查询视频生成任务的当前状态和进度
GET
https://api.maxapi.ai
/
hailuo
/
v1
/
query
/
video_generation
查询视频生成任务状态
curl --request GET \
--url https://api.maxapi.ai/hailuo/v1/query/video_generation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maxapi.ai/hailuo/v1/query/video_generation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maxapi.ai/hailuo/v1/query/video_generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/hailuo/v1/query/video_generation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maxapi.ai/hailuo/v1/query/video_generation")
.header("Authorization", "Bearer <token>")
.asString();{
"task_id": "task_1234567890abcdef",
"status": "Processing",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}授权
使用 MiniMax API Key 进行认证
查询参数
任务ID
示例:
"task_1234567890abcdef"
响应
200 - application/json
查询成功
任务ID
任务状态
可用选项:
Queueing, Processing, Success, Failed 示例:
"Processing"
文件ID(仅在成功时返回)
示例:
"file_abc123"